import HttpKit from '@/utils/http-kit'

export default {
  /**
   * 功能描述：查询所有[课程介绍]
   * @param name
   */
  page (form) {
    return HttpKit.post(`/admin/model?crux=${form.searchKey}&page=${form.page}&pageSize=${form.size}`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：上移
   * @param form
   */
  forward (modelId) {
    return HttpKit.get(`/admin/model/${modelId}/forward`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：下移
   * @param form
   */
  backward (modelId) {
    return HttpKit.get(`/admin/model/${modelId}/backward`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：发布
   * @param form
   */
  checkboxrelease (modelId) {
    return HttpKit.get(`/admin/model/${modelId}/publish`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：取消发布
   * @param form
   */
  checkboxnorelease (modelId) {
    return HttpKit.get(`/admin/model/${modelId}/un-publish`).then(
      res => res.data
    )
  },
  changePushIndex (modelId) {
    return HttpKit.get(`/admin/model/${modelId}/push-index`).then(
      res => res.data
    )
  },
  changeSecondTop (modelId) {
    return HttpKit.get(`/admin/model/${modelId}/second-top`).then(
      res => res.data
    )
  },
  findById (modelId) {
    return HttpKit.get(`/admin/model/${modelId}`).then(
      res => res.data
    )
  },
  save (form) {
    return HttpKit.post(`/admin/model/theModelInsert`, form).then(
      res => res.data
    )
  },
  delete (idList) {
    return HttpKit.post(`/admin/model/delete`, idList).then(
      res => res.data
    )
  },
  changeSeq (id, seqencing) {
    return HttpKit.get(`/admin/model/${id}/changeSeqencing?seqencing=${seqencing}`).then(
      res => res.data
    )
  }
}
