import HttpKit from '@/utils/http-kit'

export default {
  /**
   * 功能描述：关键字查询所有[课程介绍]
   * @param name
   */
  page (form) {
    return HttpKit.post(`/admin/banner?page=${form.page}&pageSize=${form.size}&crux=${form.searchKey}`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：上移
   * @param form
   */
  forward (bannerDetailsId) {
    return HttpKit.get(`/admin/banner/${bannerDetailsId}/forward`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：下移
   * @param form
   */
  backward (bannerDetailsId) {
    return HttpKit.get(`/admin/banner/${bannerDetailsId}/backward`).then(
      res => res.data
    )
  },
  changeBannerOn (bannerDetailsId) {
    return HttpKit.get(`/admin/banner/${bannerDetailsId}/banner-on`).then(
      res => res.data
    )
  },
  findById (bannerId) {
    return HttpKit.get(`/admin/banner/${bannerId}/findbyid`).then(
      res => res.data
    )
  },
  save (form) {
    return HttpKit.post(`/admin/banner/bannerInsert`, form).then(
      res => res.data
    )
  },
  delete (idList) {
    return HttpKit.post(`/admin/banner/delete`, idList).then(
      res => res.data
    )
  }
}
