import HttpKit from '@/utils/http-kit'

export default {
  /**
   * 功能描述：关键字查询所有[课程介绍]
   * @param name
   */
  page (form) {
    return HttpKit.post(`/admin/course?page=${form.page}&pageSize=${form.size}&crux=${form.searchKey}`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：上移
   * @param form
   */
  forward (courseId) {
    return HttpKit.get(`/admin/course/${courseId}/forward`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：下移
   * @param form
   */
  backward (courseId) {
    return HttpKit.get(`/admin/course/${courseId}/backward`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：发布
   * @param form
   */
  checkboxrelease (courseId) {
    return HttpKit.get(`/admin/course/${courseId}/publish`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：取消发布
   * @param form
   */
  checkboxnorelease (courseId) {
    return HttpKit.get(`/admin/course/${courseId}/un-publish`).then(
      res => res.data
    )
  },
  changePushIndex (courseId) {
    return HttpKit.get(`/admin/course/${courseId}/push-index`).then(
      res => res.data
    )
  },
  changeSecondTop (courseId) {
    return HttpKit.get(`/admin/course/${courseId}/second-top`).then(
      res => res.data
    )
  },
  findById (courseId) {
    return HttpKit.get(`/admin/course/${courseId}`).then(
      res => res.data
    )
  },
  save (form) {
    return HttpKit.post(`/admin/course/CourseIntroduceInsert`, form).then(
      res => res.data
    )
  },
  delete (idList) {
    return HttpKit.post(`/admin/course/delete`, idList).then(
      res => res.data
    )
  },
  changeSeq (id, seqencing) {
    return HttpKit.get(`/admin/course/${id}/changeSeqencing?seqencing=${seqencing}`).then(
      res => res.data
    )
  }
}
