import HttpKit from '@/utils/http-kit'

export default {
  /**
   * 功能描述：关键字查询所有[课程介绍]
   * @param name
   */
  page (form) {
    return HttpKit.post(`/admin/news-paper?page=${form.page}&pageSize=${form.size}&crux=${form.searchKey}`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：上移
   * @param form
   */
  forward (newsId) {
    return HttpKit.get(`/admin/news-paper/${newsId}/forward`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：下移
   * @param form
   */
  backward (newsId) {
    return HttpKit.get(`/admin/news-paper/${newsId}/backward`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：发布
   * @param form
   */
  checkboxrelease (newsId) {
    return HttpKit.get(`/admin/news-paper/${newsId}/publish`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：取消发布
   * @param form
   */
  checkboxnorelease (newsId) {
    return HttpKit.get(`/admin/news-paper/${newsId}/un-publish`).then(
      res => res.data
    )
  },
  changePushIndex (newsPaperId) {
    return HttpKit.get(`/admin/news-paper/${newsPaperId}/push-index`).then(
      res => res.data
    )
  },
  changeSecondTop (newsPaperId) {
    return HttpKit.get(`/admin/news-paper/${newsPaperId}/second-top`).then(
      res => res.data
    )
  },
  changeClasstype (newsPaperId) {
    return HttpKit.get(`/admin/news-paper/${newsPaperId}/classtype`).then(
      res => res.data
    )
  },
  findById (newsPaperId) {
    return HttpKit.get(`/admin/news-paper/${newsPaperId}`).then(
      res => res.data
    )
  },
  save (form) {
    return HttpKit.post(`/admin/news-paper/NewsPaperInsert`, form).then(
      res => res.data
    )
  },
  delete (idList) {
    return HttpKit.post(`/admin/news-paper/delete`, idList).then(
      res => res.data
    )
  },
  changeSeq (id, seqencing) {
    return HttpKit.get(`/admin/news-paper/${id}/changeSeqencing?seqencing=${seqencing}`).then(
      res => res.data
    )
  }
}
