const bytesFilter = {
  // 日期格式化过滤器
  format (bytes, precision) {
    if (isNaN(parseFloat(bytes)) || !isFinite(bytes)) {
      return '-'
    }

    if (typeof precision === 'undefined') {
      precision = 1
    }

    let units = ['bytes', 'kB', 'MB', 'GB', 'TB', 'PB']
    let number = Math.floor(Math.log(bytes) / Math.log(1024))

    return (bytes / Math.pow(1024, Math.floor(number))).toFixed(precision) + ' ' + units[number]
  },

  // 全局安装器
  install (Vue) {
    Vue.filter('bytes', this.format)
  }
}

export default bytesFilter
