// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'

/* 全局安装[通用组件] */
import Layout from '@/components/layout'

import Constants from '@/constants/constants'
/* 全局安装[过滤器] */
import './filters'

import './plugins'

/* 进度条(网络请求、页面路由切换) */
import NProgress from 'nprogress'
import 'nprogress/nprogress.css'
NProgress.configure({
  easing: 'ease', // 动画方式
  speed: 500, // 递增进度条的速度
  showSpinner: false, // 是否显示加载ico
  trickleSpeed: 200, // 自动递增间隔
  minimum: 0.3 // 初始化时的最小百分比
})

Vue.config.productionTip = false
Vue.prototype.constants = Constants
Vue.prototype.PORTAL_URL = process.env.PORTAL_URL
Vue.prototype.ADMIN_URL = process.env.ADMIN_URL
Vue.prototype.LOGIN_URL = process.env.LOGIN_URL
Vue.prototype.HOME_URL = process.env.HOME_URL
Vue.prototype.YUN_URL = process.env.YUN_URL
Vue.prototype.OSS_URL = process.env.OSS_URL

Vue.use(Layout)

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  components: { App },
  template: '<App/>'
})
